import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Gitcrq{
    constructor () {
        this.data = {
						gctp:{
							expfldlab:"",			//  Label for Field Validity		.gctp.expfldlab
							explab:"",			//  Label unlimited Validity		.gctp.explab
							aplmullab:"",			//  Label, that is set, if there are multiple applicants		.gctp.aplmullab
							liafldlab:"",			//  Label for Field Liability		.gctp.liafldlab
							lialab:"",			//  Label unlimited Liability		.gctp.lialab
							gidget:{
								sdamod:{
									seainf:"",			//  		.gctp.gidget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.gctp.gidget.sdamod.dadsnd
								},
							},
							recget:{
								sdamod:{
									seainf:"",			//  		.gctp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.gctp.recget.sdamod.dadsnd
								},
							},
							adaflg:"",			//  Add. Amount		.gctp.adaflg
							prbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gctp.prbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gctp.prbp.ptsget.sdamod.dadsnd
									},
								},
							},
							othp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gctp.othp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gctp.othp.ptsget.sdamod.dadsnd
									},
								},
							},
						},
						gidgrp:{
							rec:{
								ownref:"",			//  Guarantee		.gidgrp.rec.ownref
								expdat:"",			//  Valid until		.gidgrp.rec.expdat
								gartyp:"",			//  Type of Undertaking		.gidgrp.rec.gartyp
								liadat:"",			//  Liability until		.gidgrp.rec.liadat
							},
							cbs:{
								opn1:{
									cur:"",			//  Currency		.gidgrp.cbs.opn1.cur
									amt:"",			//  Balance		.gidgrp.cbs.opn1.amt
								},
							},
						},
						gcdgrp:{
							rec:{
								ownref:"",			//  Claim Number		.gcdgrp.rec.ownref
								nam:"",			//  Externally Displayed Name to Identify the Contract		.gcdgrp.rec.nam
								clmdat:"",			//  Date of Claim		.gcdgrp.rec.clmdat
								newexpdat:"",			//  Validity Requested		.gcdgrp.rec.newexpdat
								docprbrol:"",			//  Presented by		.gcdgrp.rec.docprbrol
								payrol:"",			//  Payer		.gcdgrp.rec.payrol
							},
							cbs:{
								max:{
									cur:"",			//  Amount Claimed		.gcdgrp.cbs.max.cur
									amt:"",			//  Balance		.gcdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  Open Amount		.gcdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.gcdgrp.cbs.opn1.amt
								},
								opn2:{
									cur:"",			//  附加金额		.gcdgrp.cbs.opn2.cur
								},
								max2:{
									amt:"",			//  附加金额		.gcdgrp.cbs.max2.amt
								},
							},
							apl:{
								pts:new Pts().data,
							},
							ben:{
								pts:new Pts().data,
							},
							prb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gcdgrp.prb.namelc
								adrelc:"",			//  地址		.gcdgrp.prb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gcdgrp.prb.dbfadrblkcn
							},
							oth:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gcdgrp.oth.namelc
								adrelc:"",			//  地址		.gcdgrp.oth.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gcdgrp.oth.dbfadrblkcn
							},
						},
						nxtflg:"",			//  Further Processing		.nxtflg
						clmtxt:"",			//  Text of Claim		.clmtxt
						extpay:"",			//  Extend or Pay		.extpay
						outlen:{
							szflg:"",			//  申报类型		.outlen.szflg
							acttyp:"",			//  款项去向		.outlen.acttyp
						},
						payday:"",			//  赔付工作日		.payday
						liaall:{
							misamt:"",			//  Amount not yet assigned		.liaall.misamt
							concur:"",			//  External Booking Amount		.liaall.concur
							outpct:"",			//  Sight Amount Percentage		.liaall.outpct
							outamt:"",			//  Sight Amount		.liaall.outamt
							exttotoldamt:"",			//  Old Amount booked externally		.liaall.exttotoldamt
							exttotamt:"",			//  Total booking amount external assinged		.liaall.exttotamt
							limmod:{
								limpts:{
									wrklab:"",			//  Label		.liaall.limmod.limpts.wrklab
									othlab:"",			//  Label		.liaall.limmod.limpts.othlab
									othlabss:"",			//  Label		.liaall.limmod.limpts.othlabss
									wrk:{
										pts:new Pts().data,
									},
									oth:{
										pts:new Pts().data,
									},
									lsh:"",			//  合同流�'号		.liaall.limmod.limpts.lsh
									nonrevflg1:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg1
									pfcod1:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod1
									nonrevflg2:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg2
									pfcod2:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod2
								},
								wrkp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.wrkp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.wrkp.ptsget.sdamod.seainf
										},
									},
								},
								othp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.othp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.othp.ptsget.sdamod.seainf
										},
									},
								},
								ownref:"",			//  国结业务编号		.liaall.limmod.ownref
								comamt:"",			//  业务余额		.liaall.limmod.comamt
								ccvamt:"",			//  保证金余额		.liaall.limmod.ccvamt
								ecifno:"",			//  ECIFNO		.liaall.limmod.ecifno
							},
						},
						setmod:{
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						trnmod:{
							trndoc:{
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
								doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
								doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
								shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
								shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
								condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
								rcvatt:{
									seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
								},
								filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
							},
						},
						instxt:"",			//  Instruktionen der Bank		.instxt
						pageId: ""			// ctx的key
				}
    }
}