import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Gitset{
    constructor () {
        this.data = {
						gctp:{
							expfldlab:"",			//  Label for Field Validity		.gctp.expfldlab
							explab:"",			//  Label unlimited Validity		.gctp.explab
							aplmullab:"",			//  Label, that is set, if there are multiple applicants		.gctp.aplmullab
							liafldlab:"",			//  Label for Field Liability		.gctp.liafldlab
							lialab:"",			//  Label unlimited Liability		.gctp.lialab
							gidget:{
								sdamod:{
									seainf:"",			//  		.gctp.gidget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.gctp.gidget.sdamod.dadsnd
								},
							},
							recget:{
								sdamod:{
									seainf:"",			//  		.gctp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.gctp.recget.sdamod.dadsnd
								},
							},
							adaflg:"",			//  Add. Amount		.gctp.adaflg
							prbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gctp.prbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gctp.prbp.ptsget.sdamod.dadsnd
									},
								},
							},
							othp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.gctp.othp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.gctp.othp.ptsget.sdamod.dadsnd
									},
								},
							},
							prechkdat:"",			//  预计核验日期		.gctp.prechkdat
							ischktyp:"",			//  是否需要核验		.gctp.ischktyp
						},
						gidgrp:{
							rec:{
								ownref:"",			//  Guarantee		.gidgrp.rec.ownref
								expdat:"",			//  Valid until		.gidgrp.rec.expdat
								gartyp:"",			//  Type of Undertaking		.gidgrp.rec.gartyp
								liadat:"",			//  Liability until		.gidgrp.rec.liadat
								rptref:"",			//  合同号		.gidgrp.rec.rptref
								invref:"",			//  发票号		.gidgrp.rec.invref
								cmtflg:"",			//  跨境人民币保函		.gidgrp.rec.cmtflg
							},
							cbs:{
								opn1:{
									cur:"",			//  Currency		.gidgrp.cbs.opn1.cur
									amt:"",			//  Balance		.gidgrp.cbs.opn1.amt
								},
							},
						},
						gcdgrp:{
							rec:{
								ownref:"",			//  Claim Number		.gcdgrp.rec.ownref
								nam:"",			//  Externally Displayed Name to Identify the Contract		.gcdgrp.rec.nam
								clmdat:"",			//  Date of Claim		.gcdgrp.rec.clmdat
								cannowflg:"",			//  Payment under Cancelation of Guarantee		.gcdgrp.rec.cannowflg
								docprbrol:"",			//  Presented by		.gcdgrp.rec.docprbrol
								payrol:"",			//  Payer		.gcdgrp.rec.payrol
								frepayflg:"",			//  free of payment flag		.gcdgrp.rec.frepayflg
							},
							cbs:{
								max:{
									cur:"",			//  Amount Claimed		.gcdgrp.cbs.max.cur
									amt:"",			//  Balance		.gcdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  Open Amount		.gcdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.gcdgrp.cbs.opn1.amt
								},
								opn2:{
									cur:"",			//  附加金额		.gcdgrp.cbs.opn2.cur
								},
								max2:{
									amt:"",			//  附加金额		.gcdgrp.cbs.max2.amt
								},
							},
							apl:{
								pts:new Pts().data,
							},
							ben:{
								pts:new Pts().data,
							},
							prb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gcdgrp.prb.namelc
								adrelc:"",			//  地址		.gcdgrp.prb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gcdgrp.prb.dbfadrblkcn
							},
							oth:{
								pts:new Pts().data,
								namelc:"",			//  名称		.gcdgrp.oth.namelc
								adrelc:"",			//  地址		.gcdgrp.oth.adrelc
								dbfadrblkcn:"",			//  Chinese address		.gcdgrp.oth.dbfadrblkcn
							},
						},
						mtabut:{
							clsflg:"",			//  Close Flag		.mtabut.clsflg
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						liaall:{
							misamt:"",			//  Amount not yet assigned		.liaall.misamt
							concur:"",			//  External Booking Amount		.liaall.concur
							outpct:"",			//  Sight Amount Percentage		.liaall.outpct
							outamt:"",			//  Sight Amount		.liaall.outamt
							exttotoldamt:"",			//  Old Amount booked externally		.liaall.exttotoldamt
							exttotamt:"",			//  Total booking amount external assinged		.liaall.exttotamt
							liaccv:{
								newamt:"",			//  合同金额		.liaall.liaccv.newamt
								concur:"",			//  应付保证金金额		.liaall.liaccv.concur
								totcovamt:"",			//  金额总和		.liaall.liaccv.totcovamt
								newresamt:"",			//  Reserved Amount		.liaall.liaccv.newresamt
								addinf:"",			//  Additional Information 		.liaall.liaccv.addinf
								cshpct:"",			//  保证金应收比例		.liaall.liaccv.cshpct
								relcshpct:"",			//  保证金实收比例		.liaall.liaccv.relcshpct
								gleflg:"",			//  Create gle flag		.liaall.liaccv.gleflg
								chgcurflg:"",			//  Change currency flag		.liaall.liaccv.chgcurflg
								pctresamt:"",			//  reserve amount based percent		.liaall.liaccv.pctresamt
							},
							limmod:{
								limpts:{
									wrklab:"",			//  Label		.liaall.limmod.limpts.wrklab
									othlab:"",			//  Label		.liaall.limmod.limpts.othlab
									othlabss:"",			//  Label		.liaall.limmod.limpts.othlabss
									wrk:{
										pts:new Pts().data,
									},
									oth:{
										pts:new Pts().data,
									},
									lsh:"",			//  合同流�'号		.liaall.limmod.limpts.lsh
									nonrevflg1:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg1
									pfcod1:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod1
									nonrevflg2:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg2
									pfcod2:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod2
								},
								wrkp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.wrkp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.wrkp.ptsget.sdamod.seainf
										},
									},
								},
								othp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.othp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.othp.ptsget.sdamod.seainf
										},
									},
								},
								ownref:"",			//  国结业务编号		.liaall.limmod.ownref
								comamt:"",			//  业务余额		.liaall.limmod.comamt
								ccvamt:"",			//  保证金余额		.liaall.limmod.ccvamt
								ecifno:"",			//  ECIFNO		.liaall.limmod.ecifno
							},
						},
						setmod:{
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
								setgll01:{
									sespay:{
										strinf:"",			//  Sender to Receiver		.setmod.setglg.setgll01.sespay.strinf
										rcvcor2p:{
											ptsget:{
												sdamod:{
													seainf:"",			//  		.setmod.setglg.setgll01.sespay.rcvcor2p.ptsget.sdamod.seainf
													dadsnd:"",			//  Drag  Drop Sender		.setmod.setglg.setgll01.sespay.rcvcor2p.ptsget.sdamod.dadsnd
												},
											},
										},
										snd756:{
											ptsget:{
												sdamod:{
													seainf:"",			//  		.setmod.setglg.setgll01.sespay.snd756.ptsget.sdamod.seainf
													dadsnd:"",			//  Drag  Drop Sender		.setmod.setglg.setgll01.sespay.snd756.ptsget.sdamod.dadsnd
												},
											},
										},
										rcvcor2acc:"",			//  Receiv. Corr. Account		.setmod.setglg.setgll01.sespay.rcvcor2acc
										commetlab:"",			//  自槸区备注label		.setmod.setglg.setgll01.sespay.commetlab
										rcvcoracc:"",			//  Intermediary Account		.setmod.setglg.setgll01.sespay.rcvcoracc
										triacc:"",			//  3rd Reimbursement Institution Account		.setmod.setglg.setgll01.sespay.triacc
										beiacc:"",			//  Beneficiary Institution Account		.setmod.setglg.setgll01.sespay.beiacc
										oriacc:"",			//  Ord. Institut. Account		.setmod.setglg.setgll01.sespay.oriacc
										beip:{
											ptsget:{
												sdamod:{
													seainf:"",			//  		.setmod.setglg.setgll01.sespay.beip.ptsget.sdamod.seainf
													dadsnd:"",			//  Drag  Drop Sender		.setmod.setglg.setgll01.sespay.beip.ptsget.sdamod.dadsnd
												},
											},
										},
										trip:{
											ptsget:{
												sdamod:{
													seainf:"",			//  		.setmod.setglg.setgll01.sespay.trip.ptsget.sdamod.seainf
													dadsnd:"",			//  Drag  Drop Sender		.setmod.setglg.setgll01.sespay.trip.ptsget.sdamod.dadsnd
												},
											},
										},
										rcvcorp:{
											ptsget:{
												sdamod:{
													seainf:"",			//  		.setmod.setglg.setgll01.sespay.rcvcorp.ptsget.sdamod.seainf
													dadsnd:"",			//  Drag  Drop Sender		.setmod.setglg.setgll01.sespay.rcvcorp.ptsget.sdamod.dadsnd
												},
											},
										},
										orip:{
											ptsget:{
												sdamod:{
													seainf:"",			//  		.setmod.setglg.setgll01.sespay.orip.ptsget.sdamod.seainf
													dadsnd:"",			//  Drag  Drop Sender		.setmod.setglg.setgll01.sespay.orip.ptsget.sdamod.dadsnd
												},
											},
										},
										strinf202:"",			//  Sender to receiver Information to NOSTRO correspondent		.setmod.setglg.setgll01.sespay.strinf202
										ownref:"",			//  Own Ref(Tag 20)		.setmod.setglg.setgll01.sespay.ownref
										corbnk:"",			//  清算代理行		.setmod.setglg.setgll01.sespay.corbnk
										evebnk:"",			//  光大开户行		.setmod.setglg.setgll01.sespay.evebnk
										coract:"",			//  清算代理行账号		.setmod.setglg.setgll01.sespay.coract
										comsystbl:"",			//  自槸区备注		.setmod.setglg.setgll01.sespay.comsystbl
									},
									setgrp:{
										actser:{
											pts:new Pts().data,
											namelc:"",			//  名称		.setmod.setglg.setgll01.setgrp.actser.namelc
											adrelc:"",			//  地址		.setmod.setglg.setgll01.setgrp.actser.adrelc
											dbfadrblkcn:"",			//  Chinese address		.setmod.setglg.setgll01.setgrp.actser.dbfadrblkcn
										},
										rcvcor2:{
											pts:new Pts().data,
											namelc:"",			//  名称		.setmod.setglg.setgll01.setgrp.rcvcor2.namelc
											adrelc:"",			//  地址		.setmod.setglg.setgll01.setgrp.rcvcor2.adrelc
											dbfadrblkcn:"",			//  Chinese address		.setmod.setglg.setgll01.setgrp.rcvcor2.dbfadrblkcn
										},
										snd756:{
											pts:new Pts().data,
											namelc:"",			//  名称		.setmod.setglg.setgll01.setgrp.snd756.namelc
											adrelc:"",			//  地址		.setmod.setglg.setgll01.setgrp.snd756.adrelc
											dbfadrblkcn:"",			//  Chinese address		.setmod.setglg.setgll01.setgrp.snd756.dbfadrblkcn
										},
										bei:{
											pts:new Pts().data,
											namelc:"",			//  名称		.setmod.setglg.setgll01.setgrp.bei.namelc
											adrelc:"",			//  地址		.setmod.setglg.setgll01.setgrp.bei.adrelc
											dbfadrblkcn:"",			//  Chinese address		.setmod.setglg.setgll01.setgrp.bei.dbfadrblkcn
										},
										tri:{
											pts:new Pts().data,
											namelc:"",			//  名称		.setmod.setglg.setgll01.setgrp.tri.namelc
											adrelc:"",			//  地址		.setmod.setglg.setgll01.setgrp.tri.adrelc
											dbfadrblkcn:"",			//  Chinese address		.setmod.setglg.setgll01.setgrp.tri.dbfadrblkcn
										},
										rcvcor:{
											pts:new Pts().data,
											namelc:"",			//  名称		.setmod.setglg.setgll01.setgrp.rcvcor.namelc
											adrelc:"",			//  地址		.setmod.setglg.setgll01.setgrp.rcvcor.adrelc
											dbfadrblkcn:"",			//  Chinese address		.setmod.setglg.setgll01.setgrp.rcvcor.dbfadrblkcn
										},
										ori:{
											pts:new Pts().data,
											namelc:"",			//  名称		.setmod.setglg.setgll01.setgrp.ori.namelc
											adrelc:"",			//  地址		.setmod.setglg.setgll01.setgrp.ori.adrelc
											dbfadrblkcn:"",			//  Chinese address		.setmod.setglg.setgll01.setgrp.ori.dbfadrblkcn
										},
									},
									actserp:{
										ptsget:{
											sdamod:{
												seainf:"",			//  		.setmod.setglg.setgll01.actserp.ptsget.sdamod.seainf
												dadsnd:"",			//  Drag  Drop Sender		.setmod.setglg.setgll01.actserp.ptsget.sdamod.dadsnd
											},
										},
									},
								},
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
							glemod:{
								gleshwstm:"",			//  Booking stream to Display		.setmod.glemod.gleshwstm
							},
						},
						trnmod:{
							trndoc:{
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
								doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
								doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
								shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
								shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
								condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
								rcvatt:{
									seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
								},
								filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
							},
							cmttag:"",			//  跨境人民币清算模式		.trnmod.cmttag
							swfflg:"",			//  报文类型		.trnmod.swfflg
							cmtflg:"",			//  CMT100 报文		.trnmod.cmtflg
							swftyp:"",			//  报文类型		.trnmod.swftyp
						},
						bopmod:{
							szflg:"",			//  申报类型		.bopmod.szflg
							basflg:"",			//  基础数据		.bopmod.basflg
							dclflg:"",			//  申报数据		.bopmod.dclflg
							vrfflg:"",			//  核销数据		.bopmod.vrfflg
							ownextkey:"",			//  地区机构号		.bopmod.ownextkey
							acttyp:"",			//  款项去向		.bopmod.acttyp
						},
						cnybop:{
							cnyflg:"",			//  是否报送跨境人民币2101表		.cnybop.cnyflg
							traflg:"",			//  是否报送跨境人民币2107表		.cnybop.traflg
							outflg:"",			//  是否报送跨境人民币2111表		.cnybop.outflg
							libflg:"",			//  是否报送跨境人民币2106表		.cnybop.libflg
							vouflg:"",			//  是否报送跨境人民币2122表		.cnybop.vouflg
						},
						paypsb:"",			//  Unpaid by Applicant		.paypsb
						pageId: ""			// ctx的key
				}
    }
}